$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.115.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.115.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'ECDFA4F520CE6D4FE228FB75FE1635EC690049F631C970117039A52D7001D5E8'
  checksumType = 'sha256'
  checksum64 = 'ECDFA4F520CE6D4FE228FB75FE1635EC690049F631C970117039A52D7001D5E8'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.32.115-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
